<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class DataMenuFreeKontaktFormularFactory
{
  public static function getDataMenu($pUrlParameter): DataMenuMainTopLeft
  {
    switch ($pUrlParameter->freekontaktformularstep) {
      case 'send':
        
        
        if (SessionOperations::getVarValueIntern('freeKontaktFormularCheckValid', false)) {
          SessionOperations::setVarValueIntern('freeKontaktFormularCheckValid', null);

          return new DataMenuFreeKontaktFormularAbsenden($pUrlParameter);
        } else {
          return new DataMenuFreeKontaktFormularEingabe($pUrlParameter);
        }
        
      case 'check':
        $checkeingaben = new FreeKontaktFormularCheckEingaben();

        return $checkeingaben->getDatamenu($pUrlParameter);
      default:
        return new DataMenuFreeKontaktFormularEingabe($pUrlParameter);
    }
  }
}